
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Caching.Redis;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using XYY.Authentication.Standard;
using XYY.Core.Standard.Mvc;
using XYY.Service.Standard.First.ESB;

namespace XYY.Api.First.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class ReceiveMsgController : ControllerBase
    {
        IESBService _ESBService;

        public ReceiveMsgController(IESBService eSBService)
        {
            _ESBService = eSBService;
        }

        [HttpPost]
        public async Task<ApiJsonModel> Update(Dto dto)
        {
            _ESBService.TestTask(dto);
            return ApiJsonModel.OK();
        }


        [HttpPost]
        public async Task<ApiJsonModel> Updates(Dto2 dtos)
        {
            await _ESBService.TestTask(dtos);
            return ApiJsonModel.OK();
        }


        [HttpGet]
        public async Task<ApiJsonModel> Get(string TrackingNumber)
        {
            var data = _ESBService.Reader(TrackingNumber);
            return ApiJsonModel.OK(data);
        }
    }
}
